Commit aeca8714 authored by Leena Miettinen's avatar Leena Miettinen
Browse files

Doc: the Qt Quick 2 application wizard



Change-Id: I586a669995ca173648783bed2f1e6ea675aacda3
Reviewed-by: default avatarKai Koehne <kai.koehne@digia.com>
parent bbe08f15
doc/images/qmldesigner-new-project.png

19.8 KB | W: | H:

doc/images/qmldesigner-new-project.png

41.6 KB | W: | H:

doc/images/qmldesigner-new-project.png
doc/images/qmldesigner-new-project.png
doc/images/qmldesigner-new-project.png
doc/images/qmldesigner-new-project.png
  • 2-up
  • Swipe
  • Onion skin
......@@ -116,9 +116,10 @@
\o Qt Quick Application (Built-in Elements)
Use built-in QML elements to design Qt Quick based user
interfaces with a custom look and feel and QML and C++ code to
implement the application logic
Use built-in QML elements to design user interfaces based on
Qt Quick 1 (Qt 4.7.1, or later) or Qt Quick 2 (Qt 5) with a
custom look and feel and QML and C++ code to implement the
application logic
\o Qt Quick Application for MeeGo Harmattan
......
......@@ -50,6 +50,14 @@
custom look and feel, whereas the components provide the look and
feel for a particular platform.
The Qt Quick 1 Application wizard imports Qt Quick 1.1, and
therefore, you can use it without changes to develop for platforms
that run Qt 4.7.4 (such as MeeGo). To develop for platforms that run
Qt 4.7.3 (such as Maemo), you must change the import statement to
import Qt Quick 1.0.
The Qt Quick 2 Application wizard imports Qt Quick 2.0. Use it to
develop for platforms that run Qt 5.
\o \gui {Qt Quick UI} creates a Qt Quick UI project with a single QML
file that contains the main view. You can review Qt Quick UI
projects in the QML Viewer and you need not build them. You do not
......@@ -68,16 +76,6 @@
\endlist
\if defined(qcmanual)
\note Qt 4.7.3 supports Qt Quick 1.0 and Qt 4.7.4 supports Qt Quick 1.1. The
application wizards import Qt Quick 1.1, and therefore, you can use them
without changes if you target only platforms that run Qt 4.7.4 (such as
MeeGo or the desktop). If you also target platforms that run Qt 4.7.3
(such as Maemo), you must change the import statement to
import Qt Quick 1.0.
\endif
\section1 Creating Qt Quick UI Projects
\list 1
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment